[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# TScreen.RemoveHandlerNewFormCreated

Removes the specified handler routine from the new form handlers for the screen instance.

## Declaration

Source position: forms.pp line 1234

`public procedure TScreen.RemoveHandlerNewFormCreated(`
`OnNewFormCreated: TScreenFormEvent`
`);`

## Arguments

`OnNewFormCreated` |  | Handler routine removed from the internal new form handlers for the screen instance.

## Description

RemoveHandlerNewFormCreated calls the internal method used to remove the form handler routine in OnNewFormCreated from the list of handlers for the snNewFormCreated notification type.

## Version info

Added in LCL version 3.0.

## See also

TScreen.AddHandlerNewFormCreated |  | Adds the specified handler routine to the new form handlers for the screen instance.
TScreenNotification |  | Screen notification events and handler types.
TScreenFormEvent |  | Type used for a screen notification handler for form-related events.